Bug 161202 - incorrect urw latin letter h with stroke (U+0126, U+0127)
incorrect urw latin letter h with stroke (U+0126, U+0127)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: urw-fonts (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
bzcl34nup
: Triaged
: 433759 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-21 07:22 EDT by Kevin Spiteri
Modified: 2010-12-05 02:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:19:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Nimbus Mono L regular in Character Map (correct). (42.69 KB, image/png)
2005-06-22 02:29 EDT, Kevin Spiteri
no flags Details
Nimbus Mono L bold in Character Map (incorrect). (47.84 KB, image/png)
2005-06-22 02:33 EDT, Kevin Spiteri
no flags Details
The 126 and 127 characters in all URW fonts in OpenOffice.org writer. (183.18 KB, image/png)
2005-06-22 02:38 EDT, Kevin Spiteri
no flags Details

  None (edit)
Description Kevin Spiteri 2005-06-21 07:22:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
In some URW fonts, the latin capital and/or small letter h with stroke (U+0126, U+0127) do not have a stroke, i.e., they are the same as the latin capital and/or small letter h (U+0048, U+0068).


Version-Release number of selected component (if applicable):
urw-fonts-2.3-1

How reproducible:
Always

Steps to Reproduce:
1. Start Applications->Accessories->Character Map
2. Select Latin script
3. Scroll down to characters U+0126 and U+0127
4. Select font (see additional information)


Actual Results:  Characters U+0126, U+0127 do not have a stroke.

Expected Results:  Characters U+0126, U+0127 should both have a stroke.

Additional info:

List of affected fonts for capital letter h with stroke (U+0126):
Nimbus Mono L            bold         all shapes
Nimbus Sans L Condensed  all weights  all shapes
URW Bookman              all weights  italics
URW Chancery L
URW Gothic L             all weights  italics

List of affected fonts for small letter h with stroke (U+0127):
Nimbus Mono L            bold         all shapes
Nimbus Roman No9 L       medium       italics
Nimbus Sans L Condensed  all weights  all shapes
URW Bookman              medium       italics
URW Chancery L
URW Gothic L             all weights  italics
Comment 1 Ngo Than 2005-06-21 08:18:46 EDT
could you attach screenshots, which show the problem please. Thanks
Comment 2 Kevin Spiteri 2005-06-22 02:29:40 EDT
Created attachment 115797 [details]
Nimbus Mono L regular in Character Map (correct).

The 126 and 127 characters have strokes in Nimbus Mono L regular.
Comment 3 Kevin Spiteri 2005-06-22 02:33:29 EDT
Created attachment 115798 [details]
Nimbus Mono L bold in Character Map (incorrect).

The 126 and 127 characters have no strokes in Nimbus Mono L bold.
Comment 4 Kevin Spiteri 2005-06-22 02:38:25 EDT
Created attachment 115799 [details]
The 126 and 127 characters in all URW fonts in OpenOffice.org writer.

The H and h with stroke are displayed for all URW fonts.
There was a problem displaying the Nimbus Mono L bold and italics fonts.
Comment 5 John Thacker 2007-01-13 15:05:23 EST
I can confirm that this problem still exists in FC6, with urw-fonts-2.3-6.1.1
Comment 6 Trevor Spiteri 2008-02-23 04:15:54 EST
*** Bug 433759 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2008-04-03 21:57:55 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Kevin Spiteri 2008-04-04 06:38:57 EDT
Most of the fonts seem to be OK in Fedora 8. The only font not yet fixed is URW
Chancery L.
Comment 9 Jon Stanley 2008-04-05 11:11:15 EDT
I'll change this to ASSIGNED - have you taken this bug upstream, by chance?
Comment 10 Bug Zapper 2008-11-26 01:51:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Kevin Spiteri 2008-12-02 05:48:00 EST
URW Chancery L is still not fixed in Fedora 10.
Comment 12 Bug Zapper 2009-11-18 03:03:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Kevin Spiteri 2009-11-18 07:03:55 EST
URW Chancery L is still not fixed in Fedora 12.
Comment 14 Bug Zapper 2010-11-04 08:18:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-12-05 02:19:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.